"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthController = void 0;
const http_status_codes_1 = require("http-status-codes");
const auth_service_1 = require("../Services/auth.service");
class AuthController {
    getUsers(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.getUsers().then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    createUser(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.createUser(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    loginUser(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.loginUser(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    deleteUser(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.deleteUser(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    emailVerification(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.emailVerification(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    phoneVerification(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.phoneVerification(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    forgotPassword(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield auth_service_1.AuthService.forgotPassword(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
}
const authController = new AuthController();
exports.AuthController = authController;
