"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllCategories = exports.createCategories = exports.getAllCountries = exports.createCountries = exports.getAllLanguages = exports.createLanguages = void 0;
const http_status_codes_1 = require("http-status-codes");
const seeder_service_1 = require("../Services/seeder.service");
const createLanguages = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.insertLanguages();
    return res.status(http_status_codes_1.StatusCodes.OK).send({});
});
exports.createLanguages = createLanguages;
const getAllLanguages = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.getLanguages().then((result) => {
        return res.status(http_status_codes_1.StatusCodes.OK).send(result);
    });
});
exports.getAllLanguages = getAllLanguages;
const createCountries = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.insertCountries();
    return res.status(http_status_codes_1.StatusCodes.OK).send({});
});
exports.createCountries = createCountries;
const getAllCountries = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.getCountries().then((result) => {
        return res.status(http_status_codes_1.StatusCodes.OK).send(result);
    });
});
exports.getAllCountries = getAllCountries;
const createCategories = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.insertCategories();
    return res.status(http_status_codes_1.StatusCodes.OK).send({});
});
exports.createCategories = createCategories;
const getAllCategories = (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    yield seeder_service_1.SeederService.getCategories().then((result) => {
        return res.status(http_status_codes_1.StatusCodes.OK).send(result);
    });
});
exports.getAllCategories = getAllCategories;
