"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserController = void 0;
const http_status_codes_1 = require("http-status-codes");
const user_service_1 = require("../Services/user.service");
class UserController {
    getUserProfile(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.getUserProfile(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
                // return res.status(StatusCodes.OK).send(HttpResponse.success(result));
            });
        });
    }
    updateUserProfile(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.updateUser(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    uploadProfileImage(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.uploadProfilePicture(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    getMentorFilters(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.getMentorFilters().then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    filterMentors(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.filterMentors(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    getAllMentors(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.getAllMentors().then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    getMentorList(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.getMentorList(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    getMenteeList(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.getMenteeList(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    searchMentor(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.searchMentor(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    rateMentor(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.rateMentor(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    reportMentor(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.reportMentor(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    menteeRequest(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.menteeRequest(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    menteeRequestListing(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.menteeRequestListing(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    menteeRequestApproveReject(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.menteeRequestApproveReject(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    exploreMentor(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.exploreMentor(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    commentsList(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.commentsList(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
    comments(req, res, next) {
        return __awaiter(this, void 0, void 0, function* () {
            yield user_service_1.UserService.comments(req, res).then((result) => {
                return res.status(http_status_codes_1.StatusCodes.OK).send(result);
            });
        });
    }
    ;
}
const userController = new UserController();
exports.UserController = userController;
