"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VALIDATION_MESSAGES = exports.IMAGE_PATH = exports.DOMAINS = exports.IMAGE_CONSTANTS = exports.CATEGORIES = exports.COUNTRIES = exports.LANGUAGES = exports.RESPONSE_MESSAGES = void 0;
const VALIDATION_MESSAGES = {
    USER_ID_REQUIRED: "User Id is required!!",
    USER_ID_BASE: "User Id must be a string!!",
    USER_ID_NOT_EMPTY: "User Id can't be empty!!",
    MENTEE_ID_REQUIRED: "Mentee Id is required!!",
    MENTEE_ID_BASE: "Mentee Id must be a string!!",
    MENTEE_ID_NOT_EMPTY: "Mentee Id can't be empty!!",
    MENTOR_ID_REQUIRED: "Mentor Id is required!!",
    MENTOR_ID_BASE: "Mentor Id must be a string!!",
    MENTOR_ID_NOT_EMPTY: "Mentor Id can't be empty!!",
    CITY_REQUIRED: "City is required!!",
    CITY_BASE: "City must be a string!!",
    CITY_NOT_EMPTY: "City can't be empty!!",
    RATING_REQUIRED: "Rating is required!!",
    RATING_BASE: "Rating must be a number!!",
    RATING_NOT_EMPTY: "Rating can't be empty!!",
    REASON_REQUIRED: "Reason is required!!",
    REASON_BASE: "Reason must be a string!!",
    REASON_NOT_EMPTY: "Reason can't be empty!!",
    REQUEST_REQUIRED: "Request is required!!",
    REQUEST_BASE: "Request must be a string!!",
    REQUEST_NOT_EMPTY: "Request can't be empty!!",
    STATUS_REQUIRED: "Status is required!!",
    STATUS_BASE: "Status must be a string!!",
    STATUS_NOT_EMPTY: "Status can't be empty!!",
    COMMENT_REQUIRED: "Comment is required!!",
    COMMENT_BASE: "Comment must be a string!!",
    COMMENT_NOT_EMPTY: "Comment can't be empty!!",
    COUNTRY_REQUIRED: "Country is required!!",
    COUNTRY_BASE: "Country must be a string!!",
    COUNTRY_NOT_EMPTY: "Country can't be empty!!",
    PHONE_REQUIRED: "Phone number is required!!",
    PHONE_BASE: "Phone number must be a string!!",
    PHONE_NOT_EMPTY: "Phone number can't be empty!!",
    EMAIL_REQUIRED: "Email is required!!",
    EMAIL_BASE: "Email must be a string!!",
    EMAIL_NOT_EMPTY: "Email can't be empty!!",
    EMAIL_MIN: "Email must be greater than or equal to {{#limit}}!!",
    EMAIL_MAX: "Phone number must be a string!!",
};
exports.VALIDATION_MESSAGES = VALIDATION_MESSAGES;
const RESPONSE_MESSAGES = {
    SUCCESS: "Success!",
    USER_EXIST: "User already exist!",
    EMAIL_EXIST: "Email already exist!",
    PHONE_EXIST: "Phone number already exist!",
    USER_NOT_EXIST: "User doesn't exist!",
    REQUEST_NOT_EXIST: "Request doesn't exist!",
    COMMENT_NOT_EXIST: "Comment doesn't exist!",
    NO_MENTOR_EXIST: "No Mentor found!",
    NO_MENTEE_EXIST: "No Mentee found!",
    WRONG_PASSWORD: "Invalid email or password.",
    UNAUTHORIZE: "Token has been expired.",
    INVALID_EXTENSION: "Invalid file extension."
};
exports.RESPONSE_MESSAGES = RESPONSE_MESSAGES;
const LANGUAGES = [
    {
        name: "English",
        short: "en",
    },
    {
        name: "Japanese",
        short: "ja",
    },
    {
        name: "French",
        short: "fr",
    },
    {
        name: "Italian",
        short: "it",
    },
];
exports.LANGUAGES = LANGUAGES;
const COUNTRIES = [
    {
        id: 1,
        name: "North America",
        countries: [
            { id: 11, name: "Antigua and Barbuda", cities: [] },
            { id: 12, name: "Aruba", cities: [] },
            { id: 13, name: "Bahamas", cities: [] },
            { id: 14, name: "Barbados", cities: [] },
            { id: 15, name: "Belize", cities: [] },
            { id: 16, name: "Bermuda", cities: [] },
            { id: 17, name: "British Virgin Islands", cities: [] },
            { id: 18, name: "Canada", cities: [] },
            { id: 19, name: "Cayman Islands", cities: [] },
            { id: 110, name: "Costa Rica", cities: [] },
            { id: 111, name: "Cuba", cities: [] },
            { id: 112, name: "Dominica", cities: [] },
            { id: 113, name: "Dominican Republic", cities: [] },
            { id: 114, name: "El Salvador", cities: [] },
            { id: 115, name: "Greenland", cities: [] },
            { id: 116, name: "Grenada", cities: [] },
            { id: 117, name: "Guatemala", cities: [] },
            { id: 118, name: "Haiti", cities: [] },
            { id: 119, name: "Honduras", cities: [] },
            { id: 120, name: "Jamaica", cities: [] },
            { id: 121, name: "Mexico", cities: [] },
            { id: 122, name: "Montserrat", cities: [] },
            { id: 123, name: "Netherlands Antilles", cities: [] },
            { id: 124, name: "Nicaragua", cities: [] },
            { id: 125, name: "Panama", cities: [] },
            { id: 126, name: "Puerto Rico", cities: [] },
            { id: 127, name: "Saint Kitts and Nevis", cities: [] },
            { id: 128, name: "Saint Lucia", cities: [] },
            { id: 129, name: "Saint-Pierre and Miquelon", cities: [] },
            { id: 130, name: "Saint Vincent and the Grenadines", cities: [] },
            { id: 131, name: "Trinidad and Tobago", cities: [] },
            { id: 132, name: "Turks and Caicos Islands", cities: [] },
            { id: 133, name: "United States", cities: [] },
            { id: 134, name: "United States Virgin Islands", cities: [] },
        ],
    },
    {
        id: 2,
        name: "Asia",
        countries: [
            {
                id: 21,
                name: "Afghanistan",
                cities: [
                    { id: 2211, name: "Kabul" },
                    { id: 2212, name: "Kandahar" },
                    { id: 2213, name: "Herat" },
                    { id: 2214, name: "Mazar-e-Sharif" },
                    { id: 2215, name: "Kunduz" },
                    { id: 2216, name: "Jalalabad" },
                    { id: 2217, name: "Lashkar Gah" },
                    { id: 2218, name: "Maimanah" },
                    { id: 2219, name: "Shibirghan" },
                    { id: 22110, name: "Khost" },
                ]
            },
            {
                id: 22,
                name: "Armenia",
                cities: [
                    { id: 2221, name: "Yerevan" },
                    { id: 2222, name: "Gyumri" },
                    { id: 2223, name: "Vanadzor" },
                    { id: 2224, name: "Ejmiatsin" },
                    { id: 2225, name: "Hrazdan" },
                    { id: 2226, name: "Abovyan" },
                    { id: 2227, name: "Kapan" },
                    { id: 2228, name: "Armavir" },
                    { id: 2229, name: "Charentsavan" },
                    { id: 22210, name: "Stepanavan" },
                ]
            },
            {
                id: 23,
                name: "Azerbaijan",
                cities: [
                    { id: 2231, name: "Baku" },
                    { id: 2232, name: "Sumqayit" },
                    { id: 2233, name: "Gəncə" },
                    { id: 2234, name: "Mingəçevir" },
                    { id: 2235, name: "Xirdalan" },
                    { id: 2236, name: "Naxçivan" },
                    { id: 2237, name: "Qaraçuxur" },
                    { id: 2238, name: "Səki" },
                    { id: 2239, name: "Yevlax" },
                    { id: 22310, name: "Sirvan" },
                ]
            },
            {
                id: 24,
                name: "Bahrain",
                cities: [
                    { id: 2241, name: "Manama" },
                    { id: 2242, name: "Al Muḩarraq" },
                    { id: 2243, name: "Madīnat Ḩamad" },
                    { id: 2244, name: "Madīnat ‘Īsá" },
                    { id: 2245, name: "Kaflān" },
                    { id: 2246, name: "Karbābād" },
                    { id: 2247, name: "Jabalat Ḩabashī" },
                    { id: 2248, name: "‘Ayn ad Dār" },
                    { id: 2249, name: "Ḩillat ‘Abd aş Şāliḩ" },
                    { id: 22410, name: "Al Muqshā‘" },
                ]
            },
            {
                id: 25,
                name: "Bangladesh",
                cities: [
                    { id: 2251, name: "Dhaka" },
                    { id: 2252, name: "Chattogram" },
                    { id: 2253, name: "Khulna" },
                    { id: 2254, name: "Sylhet" },
                    { id: 2255, name: "Rajshahi" },
                    { id: 2256, name: "Mymensingh" },
                    { id: 2257, name: "Barishal" },
                    { id: 2258, name: "Comilla" },
                    { id: 2259, name: "Rangpur" },
                    { id: 22510, name: "Brahmanbaria" },
                ]
            },
            {
                id: 26,
                name: "Bhutan",
                cities: [
                    { id: 2261, name: "Thimphu" },
                    { id: 2262, name: "Paro" },
                    { id: 2263, name: "Wangdue Phodrang" },
                    { id: 2264, name: "Punakha" },
                    { id: 2265, name: "Samtse" },
                    { id: 2266, name: "Tsirang" },
                    { id: 2267, name: "Mongar" },
                    { id: 2268, name: "Haa" },
                    { id: 2269, name: "Samdrup Jongkhar" },
                    { id: 22610, name: "Sarpang" },
                ]
            },
            {
                id: 27,
                name: "Brunei",
                cities: [
                    { id: 2271, name: "Bandar Seri Begawan" },
                    { id: 2272, name: "Seria" },
                    { id: 2273, name: "Kampong Tunah Jambu" },
                    { id: 2274, name: "Kampong Mata Mata" },
                    { id: 2275, name: "Kampong Mulaut" },
                    { id: 2276, name: "Kampong Beribi" },
                    { id: 2277, name: "Kampong Rimba" },
                    { id: 2278, name: "Kampong Kiarong" },
                    { id: 2279, name: "Kuala Belait" },
                    { id: 22710, name: "Kampong Ranggu" },
                ]
            },
            {
                id: 28,
                name: "Cambodia",
                cities: [
                    { id: 2281, name: "Phnom Penh" },
                    { id: 2282, name: "Siem Reap" },
                    { id: 2283, name: "Battambang" },
                    { id: 2284, name: "Kampong Cham" },
                    { id: 2285, name: "Prey Veng" },
                    { id: 2286, name: "Kratie" },
                    { id: 2287, name: "Pursat" },
                    { id: 2288, name: "Takeo" },
                    { id: 2289, name: "Sisophon" },
                    { id: 22810, name: "Kampong Chhnang" },
                ]
            },
            {
                id: 29,
                name: "China",
                cities: [
                    { id: 2291, name: "Shanghai" },
                    { id: 2292, name: "Guangzhou" },
                    { id: 2293, name: "Beijing" },
                    { id: 2294, name: "Shenzhen" },
                    { id: 2295, name: "Nanyang" },
                    { id: 2296, name: "Baoding" },
                    { id: 2297, name: "Chengdu" },
                    { id: 2298, name: "Linyi" },
                    { id: 2299, name: "Tianjin" },
                    { id: 22910, name: "Shijiazhuang" },
                ]
            },
            // {
            //   id: 210,
            //   name: "Cyprus",
            //   cities: [
            //     { id: 22101, name: "Nicosia" },
            //     { id: 22102, name: "Limassol" },
            //     { id: 22103, name: "Larnaca" },
            //     { id: 22104, name: "Famagusta" },
            //     { id: 22105, name: "Paphos" },
            //     { id: 22106, name: "Kyrenia" },
            //     { id: 22107, name: "Káto Polemídia" },
            //     { id: 22108, name: "Aradíppou" },
            //     { id: 22109, name: "Latsia" },
            //     { id: 221010, name: "Paralímni" },
            //   ]
            // },
            {
                id: 211,
                name: "Georgia",
                cities: [
                    { id: 22111, name: "Tbilisi" },
                    { id: 22112, name: "Batumi" },
                    { id: 22113, name: "Kutaisi" },
                    { id: 22114, name: "Rustavi" },
                    { id: 22115, name: "Sokhumi" },
                    { id: 22116, name: "Gori" },
                    { id: 22117, name: "Zugdidi" },
                    { id: 22118, name: "Poti" },
                    { id: 22119, name: "Tskhinvali" },
                    { id: 221110, name: "Khashuri" },
                ]
            },
            {
                id: 212,
                name: "India",
                cities: [
                    { id: 22121, name: "Delhi" },
                    { id: 22122, name: "Mumbai" },
                    { id: 22123, name: "Kolkāta" },
                    { id: 22124, name: "Bangalore" },
                    { id: 22125, name: "Chennai" },
                    { id: 22126, name: "Hyderābād" },
                    { id: 22127, name: "Pune" },
                    { id: 22128, name: "Ahmedabad" },
                    { id: 22129, name: "Sūrat" },
                    { id: 221210, name: "Lucknow" },
                ]
            },
            {
                id: 213,
                name: "Indonesia",
                cities: [
                    { id: 22131, name: "Jakarta" },
                    { id: 22132, name: "Surabaya" },
                    { id: 22133, name: "Bandung" },
                    { id: 22134, name: "Bekasi" },
                    { id: 22135, name: "Tangerang" },
                    { id: 22136, name: "Medan" },
                    { id: 22137, name: "Makassar" },
                    { id: 22138, name: "Semarang" },
                    { id: 22139, name: "Palembang" },
                    { id: 221310, name: "Cilacap" },
                ]
            },
            {
                id: 214,
                name: "Iran",
                cities: [
                    { id: 22141, name: "Tehran" },
                    { id: 22142, name: "Mashhad" },
                    { id: 22143, name: "Eşfahān" },
                    { id: 22144, name: "Karaj" },
                    { id: 22145, name: "Tabrīz" },
                    { id: 22146, name: "Shīrāz" },
                    { id: 22147, name: "Qom" },
                    { id: 22148, name: "Ahvāz" },
                    { id: 22149, name: "Kermānshāh" },
                    { id: 221410, name: "Orūmīyeh" },
                ]
            },
            {
                id: 215,
                name: "Iraq",
                cities: [
                    { id: 22151, name: "Baghdad" },
                    { id: 22152, name: "Mosul" },
                    { id: 22153, name: "Al Başrah" },
                    { id: 22154, name: "Kirkuk" },
                    { id: 22155, name: "Erbil" },
                    { id: 22156, name: "An Najaf" },
                    { id: 22157, name: "Karbalā" },
                    { id: 22158, name: "As Sulaymānīyah" },
                    { id: 22159, name: "An Nāşirīyah" },
                    { id: 221510, name: "Al Ḩillah" },
                ]
            },
            {
                id: 216,
                name: "Israel",
                cities: [
                    { id: 22161, name: "Jerusalem" },
                    { id: 22162, name: "Tel Aviv-Yafo" },
                    { id: 22163, name: "Haifa" },
                    { id: 22164, name: "Rishon LeẔiyyon" },
                    { id: 22165, name: "Petaẖ Tiqwa" },
                    { id: 22166, name: "Ashdod" },
                    { id: 22167, name: "Netanya" },
                    { id: 22168, name: "Beersheba" },
                    { id: 22169, name: "Bené Beraq" },
                    { id: 221610, name: "Holon" },
                ]
            },
            {
                id: 217,
                name: "Japan",
                cities: [
                    { id: 22171, name: "Tokyo" },
                    { id: 22172, name: "Ōsaka" },
                    { id: 22173, name: "Nagoya" },
                    { id: 22174, name: "Yokohama" },
                    { id: 22175, name: "Fukuoka" },
                    { id: 22176, name: "Sapporo" },
                    { id: 22177, name: "Kyōto" },
                    { id: 22178, name: "Kōbe" },
                    { id: 22179, name: "Kawanakajima" },
                    { id: 221710, name: "Saitama" },
                ]
            },
            {
                id: 218,
                name: "Jordan",
                cities: [
                    { id: 22181, name: "Amman" },
                    { id: 22182, name: "Irbid" },
                    { id: 22183, name: "Az Zarqā’" },
                    { id: 22184, name: "Al ‘Aqabah" },
                    { id: 22185, name: "As Salţ" },
                    { id: 22186, name: "Al Mafraq" },
                    { id: 22187, name: "Jarash" },
                    { id: 22188, name: "Ma‘ān" },
                    { id: 22189, name: "Aţ Ţurrah" },
                    { id: 221810, name: "Aţ Ţafīlah" },
                ]
            },
            {
                id: 219,
                name: "Kazakhstan",
                cities: [
                    { id: 22191, name: "Almaty" },
                    { id: 22192, name: "Nur-Sultan" },
                    { id: 22193, name: "Shymkent" },
                    { id: 22194, name: "Qaraghandy" },
                    { id: 22195, name: "Taraz" },
                    { id: 22196, name: "Aqtöbe" },
                    { id: 22197, name: "Pavlodar" },
                    { id: 22198, name: "Semey" },
                    { id: 22199, name: "Öskemen" },
                    { id: 221910, name: "Oral" },
                ]
            },
            {
                id: 220,
                name: "N Korea",
                cities: [
                    { id: 22201, name: "Pyongyang" },
                    { id: 22202, name: "Hŭngnam" },
                    { id: 22203, name: "Ch’ŏngjin" },
                    { id: 22204, name: "Hamhŭng" },
                    { id: 22205, name: "Sunch’ŏn" },
                    { id: 22206, name: "Wŏnsan" },
                    { id: 22207, name: "Sinŭiju" },
                    { id: 22208, name: "Tanch’ŏn" },
                    { id: 22209, name: "Kaesŏng" },
                    { id: 222010, name: "Kaech’ŏn" },
                ]
            },
            {
                id: 221,
                name: "Kuwait",
                cities: [
                    { id: 22211, name: "Kuwait City" },
                    { id: 22212, name: "Al Jahrā’" },
                    { id: 22213, name: "Abū Ḩulayfah" },
                    { id: 22214, name: "Al Aḩmadī" },
                    { id: 22215, name: "Al Wafrah" },
                    { id: 22216, name: "Al Bida‘" },
                    { id: 22217, name: "Al Farwānīyah" },
                    { id: 22218, name: "Al ‘Udaylīyah" },
                    { id: 22219, name: "Abraq Khayţān" },
                    { id: 222110, name: "Al ‘Abbāsīyah" },
                ]
            },
            {
                id: 222,
                name: "Kyrgyzstan",
                cities: [
                    { id: 22221, name: "Bishkek" },
                    { id: 22222, name: "Osh" },
                    { id: 22223, name: "Jalal-Abad" },
                    { id: 22224, name: "Kara-Balta" },
                    { id: 22225, name: "Karakol" },
                    { id: 22226, name: "Tokmok" },
                    { id: 22227, name: "Özgön" },
                    { id: 22228, name: "Balykchy" },
                    { id: 22229, name: "Talas" },
                    { id: 222210, name: "Naryn" },
                ]
            },
            {
                id: 223,
                name: "Laos",
                cities: [
                    { id: 22231, name: "Vientiane" },
                    { id: 22232, name: "Savannakhet" },
                    { id: 22233, name: "Pakxé" },
                    { id: 22234, name: "Thakhèk" },
                    { id: 22235, name: "Louangphabang" },
                    { id: 22236, name: "Xam Nua" },
                    { id: 22237, name: "Attapu" },
                    { id: 22238, name: "Ban Houayxay" },
                    { id: 22239, name: "Xaignabouli" },
                    { id: 222310, name: "Phôngsali" },
                ]
            },
            {
                id: 224,
                name: "Lebanon",
                cities: [
                    { id: 22241, name: "Tripoli" },
                    { id: 22242, name: "Beirut" },
                    { id: 22243, name: "Sidon" },
                    { id: 22244, name: "Tyre" },
                    { id: 22245, name: "Joünié" },
                    { id: 22246, name: "Zahlé" },
                    { id: 22247, name: "Nabatîyé" },
                    { id: 22248, name: "Baalbek" },
                    { id: 22249, name: "Amioûn" },
                    { id: 222410, name: "Baabda" },
                ]
            },
            {
                id: 225,
                name: "Malaysia",
                cities: [
                    { id: 22251, name: "Kuala Lumpur" },
                    { id: 22252, name: "Klang" },
                    { id: 22253, name: "Ipoh" },
                    { id: 22254, name: "Butterworth" },
                    { id: 22255, name: "Johor Bahru" },
                    { id: 22256, name: "George Town" },
                    { id: 22257, name: "Petaling Jaya" },
                    { id: 22258, name: "Kuantan" },
                    { id: 22259, name: "Shah Alam" },
                    { id: 222510, name: "Kota Bharu" },
                ]
            },
            {
                id: 226,
                name: "Maldives",
                cities: [
                    { id: 22261, name: "Male" },
                    { id: 22262, name: "Un’goofaaru" },
                    { id: 22263, name: "Naifaru" },
                    { id: 22264, name: "Mahibadhoo" },
                    { id: 22265, name: "Eydhafushi" },
                    { id: 22266, name: "Thinadhoo" },
                    { id: 22267, name: "Funadhoo" },
                    { id: 22268, name: "Kulhudhuffushi" },
                    { id: 22269, name: "Dhihdhoo" },
                    { id: 222610, name: "Kudahuvadhoo" },
                ]
            },
            {
                id: 227,
                name: "Mongolia",
                cities: [
                    { id: 22271, name: "Ulaanbaatar" },
                    { id: 22272, name: "Mörön" },
                    { id: 22273, name: "Erdenet" },
                    { id: 22274, name: "Darhan" },
                    { id: 22275, name: "Darhan" },
                    { id: 22276, name: "Choybalsan" },
                    { id: 22277, name: "Ölgiy" },
                    { id: 22278, name: "Ulaangom" },
                    { id: 22279, name: "Bayanhongor" },
                    { id: 222710, name: "Hovd" },
                ]
            },
            {
                id: 228,
                name: "Myanmar",
                cities: [
                    { id: 22281, name: "Rangoon" },
                    { id: 22282, name: "Mandalay" },
                    { id: 22283, name: "Nay Pyi Taw" },
                    { id: 22284, name: "Hpa-An" },
                    { id: 22285, name: "Bago" },
                    { id: 22286, name: "Myeik" },
                    { id: 22287, name: "Mawlamyine" },
                    { id: 22288, name: "Myitkyina" },
                    { id: 22289, name: "Pathein" },
                    { id: 222810, name: "Monywa" },
                ]
            },
            {
                id: 229,
                name: "Nepal",
                cities: [
                    { id: 22291, name: "Kathmandu" },
                    { id: 22292, name: "Pokhara" },
                    { id: 22293, name: "Jitpur" },
                    { id: 22294, name: "Birāṭnagar" },
                    { id: 22295, name: "Bharatpur" },
                    { id: 22296, name: "Birgañj" },
                    { id: 22297, name: "Butwāl" },
                    { id: 22298, name: "Dharān" },
                    { id: 22299, name: "Dhangaḍhi̇̄" },
                    { id: 222910, name: "Janakpur" },
                ]
            },
            {
                id: 230,
                name: "Oman",
                cities: [
                    { id: 22301, name: "Muscat" },
                    { id: 22302, name: "As Sīb" },
                    { id: 22303, name: "Maţraḩ" },
                    { id: 22304, name: "Şalālah" },
                    { id: 22305, name: "‘Ibrī" },
                    { id: 22306, name: "Nizwá" },
                    { id: 22307, name: "Khaşab" },
                    { id: 22308, name: "Al Mazyūnah" },
                    { id: 22309, name: "Al Buraymī" },
                    { id: 223010, name: "Şuḩār" },
                ]
            },
            {
                id: 231,
                name: "Pakistan,",
                cities: [
                    { id: 22311, name: "Islamabad" },
                    { id: 22312, name: "Lahore" },
                    { id: 22313, name: "Karachi" },
                    { id: 22314, name: "Faisalabad" },
                    { id: 22315, name: "Rawalpindi" },
                    { id: 22316, name: "Gujranwala" },
                    { id: 22317, name: "Peshawar" },
                    { id: 22318, name: "Multan" },
                    { id: 22319, name: "Saidu Sharif" },
                    { id: 223110, name: "Hyderabad City" },
                    { id: 223111, name: "Qasoor" },
                ],
            },
            {
                id: 232,
                name: "Palestine",
                cities: [
                    { id: 22321, name: "Gaza" },
                    { id: 22322, name: "Jericho" },
                    { id: 22323, name: "Jabalia" },
                    { id: 22324, name: "Hebron" },
                    { id: 22325, name: "Rafah" },
                    { id: 22326, name: "Deir" },
                    { id: 22327, name: "el-Balah" },
                    { id: 22328, name: "Beit" },
                    { id: 22329, name: "Lahia" },
                    { id: 223210, name: "Battir" },
                ],
            },
            {
                id: 233,
                name: "Philippines",
                cities: [
                    { id: 22331, name: "Manila" },
                    { id: 22332, name: "Quezon City" },
                    { id: 22333, name: "Davao" },
                    { id: 22334, name: "Caloocan City" },
                    { id: 22335, name: "Cebu City" },
                    { id: 22336, name: "Zamboanga City" },
                    { id: 22337, name: "Taguig City" },
                    { id: 22338, name: "Antipolo" },
                    { id: 22339, name: "Pasig City" },
                    { id: 223310, name: "Cagayan de Oro" },
                ],
            },
            {
                id: 234,
                name: "Qatar",
                cities: [
                    { id: 22341, name: "Doha" },
                    { id: 22342, name: "Al Khawr" },
                    { id: 22343, name: "Nu‘ayjah" },
                    { id: 22344, name: "As Saylīyah" },
                    { id: 22345, name: "Ra’s Abū Finţās" },
                    { id: 22346, name: "Al Wakrah" },
                    { id: 22347, name: "Ar Rayyān" },
                    { id: 22348, name: "Ash Shīḩānīyah" },
                    { id: 22349, name: "Umm Şalāl ‘Alī" },
                    { id: 223410, name: "Az̧ Z̧a‘āyin" },
                ],
            },
            {
                id: 235,
                name: "Russia",
                cities: [
                    { id: 22351, name: "Moscow" },
                    { id: 22352, name: "Saint Petersburg" },
                    { id: 22353, name: "Novosibirsk" },
                    { id: 22354, name: "Yekaterinburg" },
                    { id: 22355, name: "Nizhniy Novgorod" },
                    { id: 22356, name: "Kazan" },
                    { id: 22357, name: "Chelyabinsk" },
                    { id: 22358, name: "Omsk" },
                    { id: 22359, name: "Samara" },
                    { id: 223510, name: "Rostov" },
                ],
            },
            {
                id: 236,
                name: "Saudi Arabia",
                cities: [
                    { id: 22361, name: "Riyadh" },
                    { id: 22362, name: "Jeddah" },
                    { id: 22363, name: "Mecca" },
                    { id: 22364, name: "Medina" },
                    { id: 22365, name: "Ad Dammām" },
                    { id: 22366, name: "Al Hufūf" },
                    { id: 22367, name: "Buraydah" },
                    { id: 22368, name: "Al Ḩillah" },
                    { id: 22369, name: "Aţ Ţā’if" },
                    { id: 223610, name: "Tabūk" },
                ],
            },
            {
                id: 237,
                name: "Singapore",
                cities: [
                    { id: 22371, name: "Singapore" },
                    { id: 22372, name: "Keat Hong Village" },
                    { id: 22373, name: "Choa Chu Kang New Town" },
                    { id: 22374, name: "Bukit Panjang Estate" },
                    { id: 22375, name: "Jalan Kayu" },
                    { id: 22376, name: "Bukit Sembawang Estate" },
                    { id: 22377, name: "Kampong Serangoon Kechil" },
                    { id: 22378, name: "Kampong Cutforth" },
                    { id: 22379, name: "Mok Peng Hiang Estate" },
                    { id: 223710, name: "Woodlands New Town" },
                ],
            },
            {
                id: 238,
                name: "Sri Lanka",
                cities: [
                    { id: 22381, name: "Colombo" },
                    { id: 22382, name: "Moratuwa" },
                    { id: 22383, name: "Kandy" },
                    { id: 22384, name: "Negombo" },
                    { id: 22385, name: "Batticaloa" },
                    { id: 22386, name: "Sri Jayewardenepura Kotte" },
                    { id: 22387, name: "Kilinochchi" },
                    { id: 22388, name: "Galle" },
                    { id: 22389, name: "Trincomalee" },
                    { id: 223810, name: "Jaffna" },
                ],
            },
            {
                id: 239,
                name: "Syria",
                cities: [
                    { id: 22391, name: "Dayr az Zawr" },
                    { id: 22392, name: "Aleppo" },
                    { id: 22393, name: "Damascus" },
                    { id: 22394, name: "Homs" },
                    { id: 22395, name: "Latakia" },
                    { id: 22396, name: "Ḩamāh" },
                    { id: 22397, name: "Ar Raqqah" },
                    { id: 22398, name: "Al Ḩasakah" },
                    { id: 22399, name: "Al Qāmishlī" },
                    { id: 223910, name: "Idlib" },
                ],
            },
            {
                id: 240,
                name: "Tajikistan",
                cities: [
                    { id: 22401, name: "Dushanbe" },
                    { id: 22402, name: "Khŭjand" },
                    { id: 22403, name: "Kŭlob" },
                    { id: 22404, name: "Bokhtar" },
                    { id: 22405, name: "Istaravshan" },
                    { id: 22406, name: "Konibodom" },
                    { id: 22407, name: "Tursunzoda" },
                    { id: 22408, name: "Vahdat" },
                    { id: 22409, name: "Isfara" },
                    { id: 224010, name: "Panjakent" },
                ],
            },
            {
                id: 241,
                name: "Thailand",
                cities: [
                    { id: 22411, name: "Bangkok" },
                    { id: 22412, name: "Nonthaburi" },
                    { id: 22413, name: "Pak Kret" },
                    { id: 22414, name: "Hat Yai" },
                    { id: 22415, name: "Nakhon Ratchasima" },
                    { id: 22416, name: "Chiang Mai" },
                    { id: 22417, name: "Surat Thani" },
                    { id: 22418, name: "Udon Thani" },
                    { id: 22419, name: "Ban Bang Pu Mai" },
                    { id: 224110, name: "Khon Kaen" },
                ],
            },
            {
                id: 242,
                name: "Timor-Leste/East Timor",
                cities: [
                    { id: 22421, name: "Dili" },
                    { id: 22422, name: "Maliana" },
                    { id: 22423, name: "Ainaro" },
                    { id: 22424, name: "Baucau" },
                    { id: 22425, name: "Manatuto" },
                    { id: 22426, name: "Gleno" },
                    { id: 22427, name: "Viqueque" },
                    { id: 22428, name: "Liquiçá" },
                    { id: 22429, name: "Same" },
                    { id: 224210, name: "Hudilaran" },
                ],
            },
            {
                id: 243,
                name: "Turkey",
                cities: [
                    { id: 22431, name: "Istanbul" },
                    { id: 22432, name: "Ankara" },
                    { id: 22433, name: "İzmir" },
                    { id: 22434, name: "Bursa" },
                    { id: 22435, name: "Antalya" },
                    { id: 22436, name: "Konya" },
                    { id: 22437, name: "Adana" },
                    { id: 22438, name: "Gaziantep" },
                    { id: 22439, name: "Şanlıurfa" },
                    { id: 224310, name: "Mersin" },
                ],
            },
            {
                id: 244,
                name: "Tur kmenistan",
                cities: [
                    { id: 22441, name: "Ashgabat" },
                    { id: 22442, name: "Türkmenabat" },
                    { id: 22443, name: "Daşoguz" },
                    { id: 22444, name: "Mary" },
                    { id: 22445, name: "Balkanabat" },
                    { id: 22446, name: "Serdar" },
                    { id: 22447, name: "Türkmenbaşy" },
                    { id: 22448, name: "Tejen" },
                    { id: 22449, name: "Abadan" },
                    { id: 224410, name: "Kaka" },
                ],
            },
            {
                id: 245,
                name: "United Arab Emirates",
                cities: [
                    { id: 22451, name: "Dubai" },
                    { id: 22452, name: "Sharjah" },
                    { id: 22453, name: "Abu Dhabi" },
                    { id: 22454, name: "Al ‘Ayn" },
                    { id: 22455, name: "‘Ajmān" },
                    { id: 22456, name: "Ra’s al Khaymah" },
                    { id: 22457, name: "Al Fujayrah" },
                    { id: 22458, name: "Umm al Qaywayn" },
                    { id: 22459, name: "Madīnat Zāyid" },
                    { id: 224510, name: "Sharīyah" },
                ],
            },
            {
                id: 246,
                name: "Uzbekistan",
                cities: [
                    { id: 22461, name: "Tashkent" },
                    { id: 22462, name: "Samarkand" },
                    { id: 22463, name: "Andijon" },
                    { id: 22464, name: "Namangan" },
                    { id: 22465, name: "Qoqon" },
                    { id: 22466, name: "Farg‘ona" },
                    { id: 22467, name: "Bukhara" },
                    { id: 22468, name: "Qarshi" },
                    { id: 22469, name: "Denov" },
                    { id: 224610, name: "Nukus" },
                ],
            },
            {
                id: 247,
                name: "Vietnam / Viet Nam",
                cities: [
                    { id: 22471, name: "Ho Chi Minh City" },
                    { id: 22472, name: "Hanoi" },
                    { id: 22473, name: "Haiphong" },
                    { id: 22474, name: "Cần Thơ" },
                    { id: 22475, name: "Biên Hòa" },
                    { id: 22476, name: "Thủ Đức" },
                    { id: 22477, name: "Quảng Hà" },
                    { id: 22478, name: "Bắc Ninh" },
                    { id: 22479, name: "Hải Dương" },
                    { id: 224710, name: "Vinh" },
                ],
            },
            {
                id: 248,
                name: "Yemen",
                cities: [
                    { id: 22481, name: "Sanaa" },
                    { id: 22482, name: "Ta‘izz" },
                    { id: 22483, name: "Al Ḩudaydah" },
                    { id: 22484, name: "Aden" },
                    { id: 22485, name: "Ibb" },
                    { id: 22486, name: "Dhamār" },
                    { id: 22487, name: "Al Mukallā" },
                    { id: 22488, name: "Tarīm" },
                    { id: 22489, name: "Ash Shaykh ‘Uthmān" },
                    { id: 224810, name: "Zinjibār" },
                ],
            },
            {
                id: 249,
                name: "Macao",
                cities: [
                    { id: 22491, name: "Macau" },
                    { id: 22492, name: "Cheoc Ca Chün" },
                    { id: 22493, name: "Taipa" },
                ],
            },
            {
                id: 250,
                name: "S Korea",
                cities: [
                    { id: 22501, name: "Seoul" },
                    { id: 22502, name: "Busan" },
                    { id: 22503, name: "Incheon" },
                    { id: 22504, name: "Daegu" },
                    { id: 22505, name: "Gwangju" },
                    { id: 22506, name: "Daejeon" },
                    { id: 22507, name: "Suwon" },
                    { id: 22508, name: "Ulsan" },
                    { id: 22509, name: "Goyang" },
                    { id: 225010, name: "Changwon" },
                ]
            },
            {
                id: 251,
                name: "Taiwan",
                cities: [
                    { id: 22511, name: "Taichung" },
                    { id: 22512, name: "Kaohsiung" },
                    { id: 22513, name: "Taipei" },
                    { id: 22514, name: "Tainan" },
                    { id: 22515, name: "Zhongli" },
                    { id: 22516, name: "Changhua" },
                    { id: 22517, name: "Pingtung" },
                    { id: 22518, name: "Hsinchu" },
                    { id: 22519, name: "Taoyuan District" },
                    { id: 225110, name: "Keelung" },
                ]
            },
        ],
    },
    {
        id: 3,
        name: "Europe",
        countries: [
            { id: 31, name: "Albania", cities: [] },
            { id: 32, name: "Andorra", cities: [] },
            { id: 33, name: "Armenia", cities: [] },
            { id: 34, name: "Austria", cities: [] },
            { id: 35, name: "Azerbaijan", cities: [] },
            { id: 36, name: "Belarus", cities: [] },
            { id: 37, name: "Belgium", cities: [] },
            { id: 38, name: "Bosnia and Herzegovina", cities: [] },
            { id: 39, name: "Bulgaria", cities: [] },
            { id: 310, name: "Croatia", cities: [] },
            {
                id: 311,
                name: "Cyprus",
                cities: [
                    { id: 33111, name: "Nicosia" },
                    { id: 33112, name: "Limassol" },
                    { id: 33113, name: "Larnaca" },
                    { id: 33114, name: "Famagusta" },
                    { id: 33115, name: "Paphos" },
                    { id: 33116, name: "Kyrenia" },
                    { id: 33117, name: "Káto Polemídia" },
                    { id: 33118, name: "Aradíppou" },
                    { id: 33119, name: "Latsia" },
                    { id: 331110, name: "Paralímni" },
                ]
            },
            { id: 312, name: "Czechia", cities: [] },
            { id: 313, name: "Denmark", cities: [] },
            { id: 314, name: "Estonia", cities: [] },
            { id: 315, name: "Finland", cities: [] },
            { id: 316, name: "France", cities: [] },
            { id: 317, name: "Georgia", cities: [] },
            { id: 318, name: "Germany", cities: [] },
            { id: 319, name: "Greece", cities: [] },
            { id: 320, name: "Hungary", cities: [] },
            { id: 321, name: "Iceland", cities: [] },
            { id: 322, name: "Ireland", cities: [] },
            { id: 323, name: "Italy", cities: [] },
            { id: 324, name: "Kazakhstan", cities: [] },
            { id: 325, name: "Kosovo", cities: [] },
            { id: 326, name: "Latvia", cities: [] },
            { id: 327, name: "Liechtenstein", cities: [] },
            { id: 328, name: "Lithuania", cities: [] },
            { id: 329, name: "Luxembourg", cities: [] },
            { id: 330, name: "Malta", cities: [] },
            { id: 331, name: "Moldova", cities: [] },
            { id: 332, name: "Monaco", cities: [] },
            { id: 333, name: "Montenegro", cities: [] },
            { id: 334, name: "Netherlands", cities: [] },
            { id: 335, name: "North Macedonia", cities: [] },
            { id: 336, name: "Norway", cities: [] },
            { id: 337, name: "Poland", cities: [] },
            { id: 338, name: "Portugal", cities: [] },
            { id: 339, name: "Romania", cities: [] },
            { id: 340, name: "Russia", cities: [] },
            { id: 341, name: "San Marino", cities: [] },
            { id: 342, name: "Serbia", cities: [] },
            { id: 343, name: "Slovakia", cities: [] },
            { id: 344, name: "Slovenia", cities: [] },
            { id: 345, name: "Spain", cities: [] },
            { id: 346, name: "Sweden", cities: [] },
            { id: 347, name: "Switzerland", cities: [] },
            { id: 348, name: "Turkey", cities: [] },
            { id: 349, name: "Ukraine", cities: [] },
            { id: 350, name: "United Kingdom (UK)", cities: [] },
            { id: 351, name: "Vatican City (Holy See)", cities: [] },
        ],
    },
];
exports.COUNTRIES = COUNTRIES;
const CATEGORIES = [
    {
        id: 1,
        name: "Housing",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 11,
        name: "Help me rent a place",
        parent_id: 1,
        sub_parent_id: 0,
    },
    {
        id: 12,
        name: "Give me authentic local housing conditions",
        parent_id: 1,
        sub_parent_id: 0,
    },
    {
        id: 13,
        name: "Give me real estate market information",
        parent_id: 1,
        sub_parent_id: 0,
    },
    {
        id: 14,
        name: "Others",
        parent_id: 1,
        sub_parent_id: 0,
    },
    {
        id: 2,
        name: "Career",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 21,
        name: "Find me a job in an industry",
        parent_id: 2,
        sub_parent_id: 0,
    },
    {
        id: 211,
        name: "Accounting Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 212,
        name: "Advertisement Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 213,
        name: "Biotech Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 214,
        name: "Business Consulting Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 215,
        name: "Education Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 216,
        name: "Financial Banking Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 217,
        name: "Healthcare Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 218,
        name: "Hospitality Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 219,
        name: "Insurance Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2110,
        name: "Law Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2111,
        name: "Marketing Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2112,
        name: "Pharmaceutical Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2113,
        name: "Real estate Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2114,
        name: "Restaurant Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2115,
        name: "Small Business Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2116,
        name: "Software and IT Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2117,
        name: "Sport Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2118,
        name: "Startup Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2119,
        name: "Tourism Industry",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 2120,
        name: "Other",
        parent_id: 2,
        sub_parent_id: 21,
    },
    {
        id: 22,
        name: "Be my career coach in an industry",
        parent_id: 2,
        sub_parent_id: 0,
    },
    {
        id: 221,
        name: "Accounting Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 222,
        name: "Advertisement Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 223,
        name: "Biotech Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 224,
        name: "Business Consulting Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 225,
        name: "Education Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 226,
        name: "Financial Banking Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 227,
        name: "Healthcare Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 228,
        name: "Hospitality Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 229,
        name: "Insurance Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2210,
        name: "Law Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2211,
        name: "Marketing Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2212,
        name: "Pharmaceutical Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2213,
        name: "Real estate Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2214,
        name: "Restaurant Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2215,
        name: "Small Business Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2216,
        name: "Software and IT Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2217,
        name: "Sport Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2218,
        name: "Startup Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2219,
        name: "Tourism Industry",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 2220,
        name: "Other",
        parent_id: 2,
        sub_parent_id: 22,
    },
    {
        id: 23,
        name: "Others",
        parent_id: 2,
        sub_parent_id: 0,
    },
    {
        id: 3,
        name: "Culture",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 31,
        name: "Help me learn local history",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 32,
        name: "Help me learn local food",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 33,
        name: "Help me learn local music",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 34,
        name: "Help me learn local social manners",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 35,
        name: "Help me learn local religion",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 36,
        name: "Others",
        parent_id: 3,
        sub_parent_id: 0,
    },
    {
        id: 4,
        name: "Entertainment",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 41,
        name: "Find me the best local restaurants",
        parent_id: 4,
        sub_parent_id: 0,
    },
    {
        id: 42,
        name: "Help me get dates",
        parent_id: 4,
        sub_parent_id: 0,
    },
    {
        id: 43,
        name: "Give me local tours",
        parent_id: 4,
        sub_parent_id: 0,
    },
    {
        id: 44,
        name: "Other",
        parent_id: 4,
        sub_parent_id: 0,
    },
    {
        id: 5,
        name: "Language",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 51,
        name: "Learn Local Language",
        parent_id: 5,
        sub_parent_id: 0,
    },
    {
        id: 511,
        name: "Speaking",
        parent_id: 5,
        sub_parent_id: 51,
    },
    {
        id: 512,
        name: "Writing",
        parent_id: 5,
        sub_parent_id: 51,
    },
    {
        id: 513,
        name: "Reading",
        parent_id: 5,
        sub_parent_id: 51,
    },
    {
        id: 514,
        name: "Listening",
        parent_id: 5,
        sub_parent_id: 51,
    },
    {
        id: 52,
        name: "Be my translator",
        parent_id: 5,
        sub_parent_id: 0,
    },
    {
        id: 53,
        name: "Others",
        parent_id: 5,
        sub_parent_id: 0,
    },
    {
        id: 6,
        name: "Education",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 61,
        name: "Help me find a school",
        parent_id: 6,
        sub_parent_id: 0,
    },
    {
        id: 611,
        name: "Art and Design schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 612,
        name: "Architecture schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 613,
        name: "Business schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 614,
        name: "Engineering schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 615,
        name: "Language schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 616,
        name: "Law schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 617,
        name: "Medical schools",
        parent_id: 6,
        sub_parent_id: 61,
    },
    {
        id: 62,
        name: "Tour campus",
        parent_id: 6,
        sub_parent_id: 0,
    },
    {
        id: 63,
        name: "Others",
        parent_id: 6,
        sub_parent_id: 0,
    },
    {
        id: 7,
        name: "Mental",
        parent_id: 0,
        sub_parent_id: 0,
    },
    {
        id: 71,
        name: "Help me deal with hostility",
        parent_id: 7,
        sub_parent_id: 0,
    },
    {
        id: 72,
        name: "Help me deal with frustration",
        parent_id: 7,
        sub_parent_id: 0,
    },
    {
        id: 73,
        name: "Help me deal with fear",
        parent_id: 7,
        sub_parent_id: 0,
    },
    {
        id: 74,
        name: "Help me deal with isolation",
        parent_id: 7,
        sub_parent_id: 0,
    },
    {
        id: 75,
        name: "Other",
        parent_id: 7,
        sub_parent_id: 0,
    },
];
exports.CATEGORIES = CATEGORIES;
let DOMAINS = [
    "AAA",
    "AARP",
    "ABARTH",
    "ABB",
    "ABBOTT",
    "ABBVIE",
    "ABC",
    "ABLE",
    "ABOGADO",
    "ABUDHABI",
    "AC",
    "ACADEMY",
    "ACCENTURE",
    "ACCOUNTANT",
    "ACCOUNTANTS",
    "ACO",
    "ACTOR",
    "AD",
    "ADAC",
    "ADS",
    "ADULT",
    "AE",
    "AEG",
    "AERO",
    "AETNA",
    "AF",
    "AFL",
    "AFRICA",
    "AG",
    "AGAKHAN",
    "AGENCY",
    "AI",
    "AIG",
    "AIRBUS",
    "AIRFORCE",
    "AIRTEL",
    "AKDN",
    "AL",
    "ALFAROMEO",
    "ALIBABA",
    "ALIPAY",
    "ALLFINANZ",
    "ALLSTATE",
    "ALLY",
    "ALSACE",
    "ALSTOM",
    "AM",
    "AMAZON",
    "AMERICANEXPRESS",
    "AMERICANFAMILY",
    "AMEX",
    "AMFAM",
    "AMICA",
    "AMSTERDAM",
    "ANALYTICS",
    "ANDROID",
    "ANQUAN",
    "ANZ",
    "AO",
    "AOL",
    "APARTMENTS",
    "APP",
    "APPLE",
    "AQ",
    "AQUARELLE",
    "AR",
    "ARAB",
    "ARAMCO",
    "ARCHI",
    "ARMY",
    "ARPA",
    "ART",
    "ARTE",
    "AS",
    "ASDA",
    "ASIA",
    "ASSOCIATES",
    "AT",
    "ATHLETA",
    "ATTORNEY",
    "AU",
    "AUCTION",
    "AUDI",
    "AUDIBLE",
    "AUDIO",
    "AUSPOST",
    "AUTHOR",
    "AUTO",
    "AUTOS",
    "AVIANCA",
    "AW",
    "AWS",
    "AX",
    "AXA",
    "AZ",
    "AZURE",
    "BA",
    "BABY",
    "BAIDU",
    "BANAMEX",
    "BANANAREPUBLIC",
    "BAND",
    "BANK",
    "BAR",
    "BARCELONA",
    "BARCLAYCARD",
    "BARCLAYS",
    "BAREFOOT",
    "BARGAINS",
    "BASEBALL",
    "BASKETBALL",
    "BAUHAUS",
    "BAYERN",
    "BB",
    "BBC",
    "BBT",
    "BBVA",
    "BCG",
    "BCN",
    "BD",
    "BE",
    "BEATS",
    "BEAUTY",
    "BEER",
    "BENTLEY",
    "BERLIN",
    "BEST",
    "BESTBUY",
    "BET",
    "BF",
    "BG",
    "BH",
    "BHARTI",
    "BI",
    "BIBLE",
    "BID",
    "BIKE",
    "BING",
    "BINGO",
    "BIO",
    "BIZ",
    "BJ",
    "BLACK",
    "BLACKFRIDAY",
    "BLOCKBUSTER",
    "BLOG",
    "BLOOMBERG",
    "BLUE",
    "BM",
    "BMS",
    "BMW",
    "BN",
    "BNPPARIBAS",
    "BO",
    "BOATS",
    "BOEHRINGER",
    "BOFA",
    "BOM",
    "BOND",
    "BOO",
    "BOOK",
    "BOOKING",
    "BOSCH",
    "BOSTIK",
    "BOSTON",
    "BOT",
    "BOUTIQUE",
    "BOX",
    "BR",
    "BRADESCO",
    "BRIDGESTONE",
    "BROADWAY",
    "BROKER",
    "BROTHER",
    "BRUSSELS",
    "BS",
    "BT",
    "BUILD",
    "BUILDERS",
    "BUSINESS",
    "BUY",
    "BUZZ",
    "BV",
    "BW",
    "BY",
    "BZ",
    "BZH",
    "CA",
    "CAB",
    "CAFE",
    "CAL",
    "CALL",
    "CALVINKLEIN",
    "CAM",
    "CAMERA",
    "CAMP",
    "CANON",
    "CAPETOWN",
    "CAPITAL",
    "CAPITALONE",
    "CAR",
    "CARAVAN",
    "CARDS",
    "CARE",
    "CAREER",
    "CAREERS",
    "CARS",
    "CASA",
    "CASE",
    "CASH",
    "CASINO",
    "CAT",
    "CATERING",
    "CATHOLIC",
    "CBA",
    "CBN",
    "CBRE",
    "CBS",
    "CC",
    "CD",
    "CENTER",
    "CEO",
    "CERN",
    "CF",
    "CFA",
    "CFD",
    "CG",
    "CH",
    "CHANEL",
    "CHANNEL",
    "CHARITY",
    "CHASE",
    "CHAT",
    "CHEAP",
    "CHINTAI",
    "CHRISTMAS",
    "CHROME",
    "CHURCH",
    "CI",
    "CIPRIANI",
    "CIRCLE",
    "CISCO",
    "CITADEL",
    "CITI",
    "CITIC",
    "CITY",
    "CITYEATS",
    "CK",
    "CL",
    "CLAIMS",
    "CLEANING",
    "CLICK",
    "CLINIC",
    "CLINIQUE",
    "CLOTHING",
    "CLOUD",
    "CLUB",
    "CLUBMED",
    "CM",
    "CN",
    "CO",
    "COACH",
    "CODES",
    "COFFEE",
    "COLLEGE",
    "COLOGNE",
    "COM",
    "COMCAST",
    "COMMBANK",
    "COMMUNITY",
    "COMPANY",
    "COMPARE",
    "COMPUTER",
    "COMSEC",
    "CONDOS",
    "CONSTRUCTION",
    "CONSULTING",
    "CONTACT",
    "CONTRACTORS",
    "COOKING",
    "COOKINGCHANNEL",
    "COOL",
    "COOP",
    "CORSICA",
    "COUNTRY",
    "COUPON",
    "COUPONS",
    "COURSES",
    "CPA",
    "CR",
    "CREDIT",
    "CREDITCARD",
    "CREDITUNION",
    "CRICKET",
    "CROWN",
    "CRS",
    "CRUISE",
    "CRUISES",
    "CU",
    "CUISINELLA",
    "CV",
    "CW",
    "CX",
    "CY",
    "CYMRU",
    "CYOU",
    "CZ",
    "DABUR",
    "DAD",
    "DANCE",
    "DATA",
    "DATE",
    "DATING",
    "DATSUN",
    "DAY",
    "DCLK",
    "DDS",
    "DE",
    "DEAL",
    "DEALER",
    "DEALS",
    "DEGREE",
    "DELIVERY",
    "DELL",
    "DELOITTE",
    "DELTA",
    "DEMOCRAT",
    "DENTAL",
    "DENTIST",
    "DESI",
    "DESIGN",
    "DEV",
    "DHL",
    "DIAMONDS",
    "DIET",
    "DIGITAL",
    "DIRECT",
    "DIRECTORY",
    "DISCOUNT",
    "DISCOVER",
    "DISH",
    "DIY",
    "DJ",
    "DK",
    "DM",
    "DNP",
    "DO",
    "DOCS",
    "DOCTOR",
    "DOG",
    "DOMAINS",
    "DOT",
    "DOWNLOAD",
    "DRIVE",
    "DTV",
    "DUBAI",
    "DUNLOP",
    "DUPONT",
    "DURBAN",
    "DVAG",
    "DVR",
    "DZ",
    "EARTH",
    "EAT",
    "EC",
    "ECO",
    "EDEKA",
    "EDU",
    "EDUCATION",
    "EE",
    "EG",
    "EMAIL",
    "EMERCK",
    "ENERGY",
    "ENGINEER",
    "ENGINEERING",
    "ENTERPRISES",
    "EPSON",
    "EQUIPMENT",
    "ER",
    "ERICSSON",
    "ERNI",
    "ES",
    "ESQ",
    "ESTATE",
    "ET",
    "ETISALAT",
    "EU",
    "EUROVISION",
    "EUS",
    "EVENTS",
    "EXCHANGE",
    "EXPERT",
    "EXPOSED",
    "EXPRESS",
    "EXTRASPACE",
    "FAGE",
    "FAIL",
    "FAIRWINDS",
    "FAITH",
    "FAMILY",
    "FAN",
    "FANS",
    "FARM",
    "FARMERS",
    "FASHION",
    "FAST",
    "FEDEX",
    "FEEDBACK",
    "FERRARI",
    "FERRERO",
    "FI",
    "FIAT",
    "FIDELITY",
    "FIDO",
    "FILM",
    "FINAL",
    "FINANCE",
    "FINANCIAL",
    "FIRE",
    "FIRESTONE",
    "FIRMDALE",
    "FISH",
    "FISHING",
    "FIT",
    "FITNESS",
    "FJ",
    "FK",
    "FLICKR",
    "FLIGHTS",
    "FLIR",
    "FLORIST",
    "FLOWERS",
    "FLY",
    "FM",
    "FO",
    "FOO",
    "FOOD",
    "FOODNETWORK",
    "FOOTBALL",
    "FORD",
    "FOREX",
    "FORSALE",
    "FORUM",
    "FOUNDATION",
    "FOX",
    "FR",
    "FREE",
    "FRESENIUS",
    "FRL",
    "FROGANS",
    "FRONTDOOR",
    "FRONTIER",
    "FTR",
    "FUJITSU",
    "FUN",
    "FUND",
    "FURNITURE",
    "FUTBOL",
    "FYI",
    "GA",
    "GAL",
    "GALLERY",
    "GALLO",
    "GALLUP",
    "GAME",
    "GAMES",
    "GAP",
    "GARDEN",
    "GAY",
    "GB",
    "GBIZ",
    "GD",
    "GDN",
    "GE",
    "GEA",
    "GENT",
    "GENTING",
    "GEORGE",
    "GF",
    "GG",
    "GGEE",
    "GH",
    "GI",
    "GIFT",
    "GIFTS",
    "GIVES",
    "GIVING",
    "GL",
    "GLASS",
    "GLE",
    "GLOBAL",
    "GLOBO",
    "GM",
    "GMAIL",
    "GMBH",
    "GMO",
    "GMX",
    "GN",
    "GODADDY",
    "GOLD",
    "GOLDPOINT",
    "GOLF",
    "GOO",
    "GOODYEAR",
    "GOOG",
    "GOOGLE",
    "GOP",
    "GOT",
    "GOV",
    "GP",
    "GQ",
    "GR",
    "GRAINGER",
    "GRAPHICS",
    "GRATIS",
    "GREEN",
    "GRIPE",
    "GROCERY",
    "GROUP",
    "GS",
    "GT",
    "GU",
    "GUARDIAN",
    "GUCCI",
    "GUGE",
    "GUIDE",
    "GUITARS",
    "GURU",
    "GW",
    "GY",
    "HAIR",
    "HAMBURG",
    "HANGOUT",
    "HAUS",
    "HBO",
    "HDFC",
    "HDFCBANK",
    "HEALTH",
    "HEALTHCARE",
    "HELP",
    "HELSINKI",
    "HERE",
    "HERMES",
    "HGTV",
    "HIPHOP",
    "HISAMITSU",
    "HITACHI",
    "HIV",
    "HK",
    "HKT",
    "HM",
    "HN",
    "HOCKEY",
    "HOLDINGS",
    "HOLIDAY",
    "HOMEDEPOT",
    "HOMEGOODS",
    "HOMES",
    "HOMESENSE",
    "HONDA",
    "HORSE",
    "HOSPITAL",
    "HOST",
    "HOSTING",
    "HOT",
    "HOTELES",
    "HOTELS",
    "HOTMAIL",
    "HOUSE",
    "HOW",
    "HR",
    "HSBC",
    "HT",
    "HU",
    "HUGHES",
    "HYATT",
    "HYUNDAI",
    "IBM",
    "ICBC",
    "ICE",
    "ICU",
    "ID",
    "IE",
    "IEEE",
    "IFM",
    "IKANO",
    "IL",
    "IM",
    "IMAMAT",
    "IMDB",
    "IMMO",
    "IMMOBILIEN",
    "IN",
    "INC",
    "INDUSTRIES",
    "INFINITI",
    "INFO",
    "ING",
    "INK",
    "INSTITUTE",
    "INSURANCE",
    "INSURE",
    "INT",
    "INTERNATIONAL",
    "INTUIT",
    "INVESTMENTS",
    "IO",
    "IPIRANGA",
    "IQ",
    "IR",
    "IRISH",
    "IS",
    "ISMAILI",
    "IST",
    "ISTANBUL",
    "IT",
    "ITAU",
    "ITV",
    "JAGUAR",
    "JAVA",
    "JCB",
    "JE",
    "JEEP",
    "JETZT",
    "JEWELRY",
    "JIO",
    "JLL",
    "JM",
    "JMP",
    "JNJ",
    "JO",
    "JOBS",
    "JOBURG",
    "JOT",
    "JOY",
    "JP",
    "JPMORGAN",
    "JPRS",
    "JUEGOS",
    "JUNIPER",
    "KAUFEN",
    "KDDI",
    "KE",
    "KERRYHOTELS",
    "KERRYLOGISTICS",
    "KERRYPROPERTIES",
    "KFH",
    "KG",
    "KH",
    "KI",
    "KIA",
    "KIDS",
    "KIM",
    "KINDER",
    "KINDLE",
    "KITCHEN",
    "KIWI",
    "KM",
    "KN",
    "KOELN",
    "KOMATSU",
    "KOSHER",
    "KP",
    "KPMG",
    "KPN",
    "KR",
    "KRD",
    "KRED",
    "KUOKGROUP",
    "KW",
    "KY",
    "KYOTO",
    "KZ",
    "LA",
    "LACAIXA",
    "LAMBORGHINI",
    "LAMER",
    "LANCASTER",
    "LANCIA",
    "LAND",
    "LANDROVER",
    "LANXESS",
    "LASALLE",
    "LAT",
    "LATINO",
    "LATROBE",
    "LAW",
    "LAWYER",
    "LB",
    "LC",
    "LDS",
    "LEASE",
    "LECLERC",
    "LEFRAK",
    "LEGAL",
    "LEGO",
    "LEXUS",
    "LGBT",
    "LI",
    "LIDL",
    "LIFE",
    "LIFEINSURANCE",
    "LIFESTYLE",
    "LIGHTING",
    "LIKE",
    "LILLY",
    "LIMITED",
    "LIMO",
    "LINCOLN",
    "LINDE",
    "LINK",
    "LIPSY",
    "LIVE",
    "LIVING",
    "LK",
    "LLC",
    "LLP",
    "LOAN",
    "LOANS",
    "LOCKER",
    "LOCUS",
    "LOFT",
    "LOL",
    "LONDON",
    "LOTTE",
    "LOTTO",
    "LOVE",
    "LPL",
    "LPLFINANCIAL",
    "LR",
    "LS",
    "LT",
    "LTD",
    "LTDA",
    "LU",
    "LUNDBECK",
    "LUXE",
    "LUXURY",
    "LV",
    "LY",
    "MA",
    "MACYS",
    "MADRID",
    "MAIF",
    "MAISON",
    "MAKEUP",
    "MAN",
    "MANAGEMENT",
    "MANGO",
    "MAP",
    "MARKET",
    "MARKETING",
    "MARKETS",
    "MARRIOTT",
    "MARSHALLS",
    "MASERATI",
    "MATTEL",
    "MBA",
    "MC",
    "MCKINSEY",
    "MD",
    "ME",
    "MED",
    "MEDIA",
    "MEET",
    "MELBOURNE",
    "MEME",
    "MEMORIAL",
    "MEN",
    "MENU",
    "MERCKMSD",
    "MG",
    "MH",
    "MIAMI",
    "MICROSOFT",
    "MIL",
    "MINI",
    "MINT",
    "MIT",
    "MITSUBISHI",
    "MK",
    "ML",
    "MLB",
    "MLS",
    "MM",
    "MMA",
    "MN",
    "MO",
    "MOBI",
    "MOBILE",
    "MODA",
    "MOE",
    "MOI",
    "MOM",
    "MONASH",
    "MONEY",
    "MONSTER",
    "MORMON",
    "MORTGAGE",
    "MOSCOW",
    "MOTO",
    "MOTORCYCLES",
    "MOV",
    "MOVIE",
    "MP",
    "MQ",
    "MR",
    "MS",
    "MSD",
    "MT",
    "MTN",
    "MTR",
    "MU",
    "MUSEUM",
    "MUSIC",
    "MUTUAL",
    "MV",
    "MW",
    "MX",
    "MY",
    "MZ",
    "NA",
    "NAB",
    "NAGOYA",
    "NAME",
    "NATURA",
    "NAVY",
    "NBA",
    "NC",
    "NE",
    "NEC",
    "NET",
    "NETBANK",
    "NETFLIX",
    "NETWORK",
    "NEUSTAR",
    "NEW",
    "NEWS",
    "NEXT",
    "NEXTDIRECT",
    "NEXUS",
    "NF",
    "NFL",
    "NG",
    "NGO",
    "NHK",
    "NI",
    "NICO",
    "NIKE",
    "NIKON",
    "NINJA",
    "NISSAN",
    "NISSAY",
    "NL",
    "NO",
    "NOKIA",
    "NORTHWESTERNMUTUAL",
    "NORTON",
    "NOW",
    "NOWRUZ",
    "NOWTV",
    "NP",
    "NR",
    "NRA",
    "NRW",
    "NTT",
    "NU",
    "NYC",
    "NZ",
    "OBI",
    "OBSERVER",
    "OFFICE",
    "OKINAWA",
    "OLAYAN",
    "OLAYANGROUP",
    "OLDNAVY",
    "OLLO",
    "OM",
    "OMEGA",
    "ONE",
    "ONG",
    "ONL",
    "ONLINE",
    "OOO",
    "OPEN",
    "ORACLE",
    "ORANGE",
    "ORG",
    "ORGANIC",
    "ORIGINS",
    "OSAKA",
    "OTSUKA",
    "OTT",
    "OVH",
    "PA",
    "PAGE",
    "PANASONIC",
    "PARIS",
    "PARS",
    "PARTNERS",
    "PARTS",
    "PARTY",
    "PASSAGENS",
    "PAY",
    "PCCW",
    "PE",
    "PET",
    "PF",
    "PFIZER",
    "PG",
    "PH",
    "PHARMACY",
    "PHD",
    "PHILIPS",
    "PHONE",
    "PHOTO",
    "PHOTOGRAPHY",
    "PHOTOS",
    "PHYSIO",
    "PICS",
    "PICTET",
    "PICTURES",
    "PID",
    "PIN",
    "PING",
    "PINK",
    "PIONEER",
    "PIZZA",
    "PK",
    "PL",
    "PLACE",
    "PLAY",
    "PLAYSTATION",
    "PLUMBING",
    "PLUS",
    "PM",
    "PN",
    "PNC",
    "POHL",
    "POKER",
    "POLITIE",
    "PORN",
    "POST",
    "PR",
    "PRAMERICA",
    "PRAXI",
    "PRESS",
    "PRIME",
    "PRO",
    "PROD",
    "PRODUCTIONS",
    "PROF",
    "PROGRESSIVE",
    "PROMO",
    "PROPERTIES",
    "PROPERTY",
    "PROTECTION",
    "PRU",
    "PRUDENTIAL",
    "PS",
    "PT",
    "PUB",
    "PW",
    "PWC",
    "PY",
    "QA",
    "QPON",
    "QUEBEC",
    "QUEST",
    "RACING",
    "RADIO",
    "RE",
    "READ",
    "REALESTATE",
    "REALTOR",
    "REALTY",
    "RECIPES",
    "RED",
    "REDSTONE",
    "REDUMBRELLA",
    "REHAB",
    "REISE",
    "REISEN",
    "REIT",
    "RELIANCE",
    "REN",
    "RENT",
    "RENTALS",
    "REPAIR",
    "REPORT",
    "REPUBLICAN",
    "REST",
    "RESTAURANT",
    "REVIEW",
    "REVIEWS",
    "REXROTH",
    "RICH",
    "RICHARDLI",
    "RICOH",
    "RIL",
    "RIO",
    "RIP",
    "RO",
    "ROCHER",
    "ROCKS",
    "RODEO",
    "ROGERS",
    "ROOM",
    "RS",
    "RSVP",
    "RU",
    "RUGBY",
    "RUHR",
    "RUN",
    "RW",
    "RWE",
    "RYUKYU",
    "SA",
    "SAARLAND",
    "SAFE",
    "SAFETY",
    "SAKURA",
    "SALE",
    "SALON",
    "SAMSCLUB",
    "SAMSUNG",
    "SANDVIK",
    "SANDVIKCOROMANT",
    "SANOFI",
    "SAP",
    "SARL",
    "SAS",
    "SAVE",
    "SAXO",
    "SB",
    "SBI",
    "SBS",
    "SC",
    "SCA",
    "SCB",
    "SCHAEFFLER",
    "SCHMIDT",
    "SCHOLARSHIPS",
    "SCHOOL",
    "SCHULE",
    "SCHWARZ",
    "SCIENCE",
    "SCOT",
    "SD",
    "SE",
    "SEARCH",
    "SEAT",
    "SECURE",
    "SECURITY",
    "SEEK",
    "SELECT",
    "SENER",
    "SERVICES",
    "SES",
    "SEVEN",
    "SEW",
    "SEX",
    "SEXY",
    "SFR",
    "SG",
    "SH",
    "SHANGRILA",
    "SHARP",
    "SHAW",
    "SHELL",
    "SHIA",
    "SHIKSHA",
    "SHOES",
    "SHOP",
    "SHOPPING",
    "SHOUJI",
    "SHOW",
    "SHOWTIME",
    "SI",
    "SILK",
    "SINA",
    "SINGLES",
    "SITE",
    "SJ",
    "SK",
    "SKI",
    "SKIN",
    "SKY",
    "SKYPE",
    "SL",
    "SLING",
    "SM",
    "SMART",
    "SMILE",
    "SN",
    "SNCF",
    "SO",
    "SOCCER",
    "SOCIAL",
    "SOFTBANK",
    "SOFTWARE",
    "SOHU",
    "SOLAR",
    "SOLUTIONS",
    "SONG",
    "SONY",
    "SOY",
    "SPA",
    "SPACE",
    "SPORT",
    "SPOT",
    "SR",
    "SRL",
    "SS",
    "ST",
    "STADA",
    "STAPLES",
    "STAR",
    "STATEBANK",
    "STATEFARM",
    "STC",
    "STCGROUP",
    "STOCKHOLM",
    "STORAGE",
    "STORE",
    "STREAM",
    "STUDIO",
    "STUDY",
    "STYLE",
    "SU",
    "SUCKS",
    "SUPPLIES",
    "SUPPLY",
    "SUPPORT",
    "SURF",
    "SURGERY",
    "SUZUKI",
    "SV",
    "SWATCH",
    "SWISS",
    "SX",
    "SY",
    "SYDNEY",
    "SYSTEMS",
    "SZ",
    "TAB",
    "TAIPEI",
    "TALK",
    "TAOBAO",
    "TARGET",
    "TATAMOTORS",
    "TATAR",
    "TATTOO",
    "TAX",
    "TAXI",
    "TC",
    "TCI",
    "TD",
    "TDK",
    "TEAM",
    "TECH",
    "TECHNOLOGY",
    "TEL",
    "TEMASEK",
    "TENNIS",
    "TEVA",
    "TF",
    "TG",
    "TH",
    "THD",
    "THEATER",
    "THEATRE",
    "TIAA",
    "TICKETS",
    "TIENDA",
    "TIFFANY",
    "TIPS",
    "TIRES",
    "TIROL",
    "TJ",
    "TJMAXX",
    "TJX",
    "TK",
    "TKMAXX",
    "TL",
    "TM",
    "TMALL",
    "TN",
    "TO",
    "TODAY",
    "TOKYO",
    "TOOLS",
    "TOP",
    "TORAY",
    "TOSHIBA",
    "TOTAL",
    "TOURS",
    "TOWN",
    "TOYOTA",
    "TOYS",
    "TR",
    "TRADE",
    "TRADING",
    "TRAINING",
    "TRAVEL",
    "TRAVELCHANNEL",
    "TRAVELERS",
    "TRAVELERSINSURANCE",
    "TRUST",
    "TRV",
    "TT",
    "TUBE",
    "TUI",
    "TUNES",
    "TUSHU",
    "TV",
    "TVS",
    "TW",
    "TZ",
    "UA",
    "UBANK",
    "UBS",
    "UG",
    "UK",
    "UNICOM",
    "UNIVERSITY",
    "UNO",
    "UOL",
    "UPS",
    "US",
    "UY",
    "UZ",
    "VA",
    "VACATIONS",
    "VANA",
    "VANGUARD",
    "VC",
    "VE",
    "VEGAS",
    "VENTURES",
    "VERISIGN",
    "VERSICHERUNG",
    "VET",
    "VG",
    "VI",
    "VIAJES",
    "VIDEO",
    "VIG",
    "VIKING",
    "VILLAS",
    "VIN",
    "VIP",
    "VIRGIN",
    "VISA",
    "VISION",
    "VIVA",
    "VIVO",
    "VLAANDEREN",
    "VN",
    "VODKA",
    "VOLKSWAGEN",
    "VOLVO",
    "VOTE",
    "VOTING",
    "VOTO",
    "VOYAGE",
    "VU",
    "VUELOS",
    "WALES",
    "WALMART",
    "WALTER",
    "WANG",
    "WANGGOU",
    "WATCH",
    "WATCHES",
    "WEATHER",
    "WEATHERCHANNEL",
    "WEBCAM",
    "WEBER",
    "WEBSITE",
    "WED",
    "WEDDING",
    "WEIBO",
    "WEIR",
    "WF",
    "WHOSWHO",
    "WIEN",
    "WIKI",
    "WILLIAMHILL",
    "WIN",
    "WINDOWS",
    "WINE",
    "WINNERS",
    "WME",
    "WOLTERSKLUWER",
    "WOODSIDE",
    "WORK",
    "WORKS",
    "WORLD",
    "WOW",
    "WS",
    "WTC",
    "WTF",
    "XBOX",
    "XEROX",
    "XFINITY",
    "XIHUAN",
    "XIN",
    "XN--11B4C3D",
    "XN--1CK2E1B",
    "XN--1QQW23A",
    "XN--2SCRJ9C",
    "XN--30RR7Y",
    "XN--3BST00M",
    "XN--3DS443G",
    "XN--3E0B707E",
    "XN--3HCRJ9C",
    "XN--3PXU8K",
    "XN--42C2D9A",
    "XN--45BR5CYL",
    "XN--45BRJ9C",
    "XN--45Q11C",
    "XN--4DBRK0CE",
    "XN--4GBRIM",
    "XN--54B7FTA0CC",
    "XN--55QW42G",
    "XN--55QX5D",
    "XN--5SU34J936BGSG",
    "XN--5TZM5G",
    "XN--6FRZ82G",
    "XN--6QQ986B3XL",
    "XN--80ADXHKS",
    "XN--80AO21A",
    "XN--80AQECDR1A",
    "XN--80ASEHDB",
    "XN--80ASWG",
    "XN--8Y0A063A",
    "XN--90A3AC",
    "XN--90AE",
    "XN--90AIS",
    "XN--9DBQ2A",
    "XN--9ET52U",
    "XN--9KRT00A",
    "XN--B4W605FERD",
    "XN--BCK1B9A5DRE4C",
    "XN--C1AVG",
    "XN--C2BR7G",
    "XN--CCK2B3B",
    "XN--CCKWCXETD",
    "XN--CG4BKI",
    "XN--CLCHC0EA0B2G2A9GCD",
    "XN--CZR694B",
    "XN--CZRS0T",
    "XN--CZRU2D",
    "XN--D1ACJ3B",
    "XN--D1ALF",
    "XN--E1A4C",
    "XN--ECKVDTC9D",
    "XN--EFVY88H",
    "XN--FCT429K",
    "XN--FHBEI",
    "XN--FIQ228C5HS",
    "XN--FIQ64B",
    "XN--FIQS8S",
    "XN--FIQZ9S",
    "XN--FJQ720A",
    "XN--FLW351E",
    "XN--FPCRJ9C3D",
    "XN--FZC2C9E2C",
    "XN--FZYS8D69UVGM",
    "XN--G2XX48C",
    "XN--GCKR3F0F",
    "XN--GECRJ9C",
    "XN--GK3AT1E",
    "XN--H2BREG3EVE",
    "XN--H2BRJ9C",
    "XN--H2BRJ9C8C",
    "XN--HXT814E",
    "XN--I1B6B1A6A2E",
    "XN--IMR513N",
    "XN--IO0A7I",
    "XN--J1AEF",
    "XN--J1AMH",
    "XN--J6W193G",
    "XN--JLQ480N2RG",
    "XN--JLQ61U9W7B",
    "XN--JVR189M",
    "XN--KCRX77D1X4A",
    "XN--KPRW13D",
    "XN--KPRY57D",
    "XN--KPUT3I",
    "XN--L1ACC",
    "XN--LGBBAT1AD8J",
    "XN--MGB9AWBF",
    "XN--MGBA3A3EJT",
    "XN--MGBA3A4F16A",
    "XN--MGBA7C0BBN0A",
    "XN--MGBAAKC7DVF",
    "XN--MGBAAM7A8H",
    "XN--MGBAB2BD",
    "XN--MGBAH1A3HJKRD",
    "XN--MGBAI9AZGQP6J",
    "XN--MGBAYH7GPA",
    "XN--MGBBH1A",
    "XN--MGBBH1A71E",
    "XN--MGBC0A9AZCG",
    "XN--MGBCA7DZDO",
    "XN--MGBCPQ6GPA1A",
    "XN--MGBERP4A5D4AR",
    "XN--MGBGU82A",
    "XN--MGBI4ECEXP",
    "XN--MGBPL2FH",
    "XN--MGBT3DHD",
    "XN--MGBTX2B",
    "XN--MGBX4CD0AB",
    "XN--MIX891F",
    "XN--MK1BU44C",
    "XN--MXTQ1M",
    "XN--NGBC5AZD",
    "XN--NGBE9E0A",
    "XN--NGBRX",
    "XN--NODE",
    "XN--NQV7F",
    "XN--NQV7FS00EMA",
    "XN--NYQY26A",
    "XN--O3CW4H",
    "XN--OGBPF8FL",
    "XN--OTU796D",
    "XN--P1ACF",
    "XN--P1AI",
    "XN--PGBS0DH",
    "XN--PSSY2U",
    "XN--Q7CE6A",
    "XN--Q9JYB4C",
    "XN--QCKA1PMC",
    "XN--QXA6A",
    "XN--QXAM",
    "XN--RHQV96G",
    "XN--ROVU88B",
    "XN--RVC1E0AM3E",
    "XN--S9BRJ9C",
    "XN--SES554G",
    "XN--T60B56A",
    "XN--TCKWE",
    "XN--TIQ49XQYJ",
    "XN--UNUP4Y",
    "XN--VERMGENSBERATER-CTB",
    "XN--VERMGENSBERATUNG-PWB",
    "XN--VHQUV",
    "XN--VUQ861B",
    "XN--W4R85EL8FHU5DNRA",
    "XN--W4RS40L",
    "XN--WGBH1C",
    "XN--WGBL6A",
    "XN--XHQ521B",
    "XN--XKC2AL3HYE2A",
    "XN--XKC2DL3A5EE0H",
    "XN--Y9A3AQ",
    "XN--YFRO4I67O",
    "XN--YGBI2AMMX",
    "XN--ZFR164B",
    "XXX",
    "XYZ",
    "YACHTS",
    "YAHOO",
    "YAMAXUN",
    "YANDEX",
    "YE",
    "YODOBASHI",
    "YOGA",
    "YOKOHAMA",
    "YOU",
    "YOUTUBE",
    "YT",
    "YUN",
    "ZA",
    "ZAPPOS",
    "ZARA",
    "ZERO",
    "ZIP",
    "ZM",
    "ZONE",
    "ZUERICH",
    "ZW"
];
exports.DOMAINS = DOMAINS;
exports.DOMAINS = DOMAINS = DOMAINS.map((x) => x.toLowerCase());
// @ts-ignore
const IMAGE_CONSTANTS = {
    dirImage: 'src/public/uploads/',
};
exports.IMAGE_CONSTANTS = IMAGE_CONSTANTS;
// @ts-ignore
// const IMAGE_PATH = "https://movementor.mashghol.com/src/public/uploads/";
const IMAGE_PATH = "http://movementor.nexteksol.com/movementor/src/public/uploads/";
exports.IMAGE_PATH = IMAGE_PATH;
