"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpResponse = void 0;
const i18n_1 = __importDefault(require("i18n"));
class HttpResponse {
    success(data) {
        const error = [];
        const message = i18n_1.default.__('Success');
        const status = 200;
        return this.response(status, message, data, error);
    }
    error(status, error, message = i18n_1.default.__('Internal Server Error')) {
        const data = {};
        switch (status) {
            case 422:
                message = i18n_1.default.__('Validation Error');
                break;
            case 401:
                message = i18n_1.default.__('Unauthorized Error');
                break;
            case 403:
                message = i18n_1.default.__('Forbidden Error');
                break;
            case 404:
                message = "Not Found Error";
                break;
            case 200:
                error = [{ message }];
                break;
            case 400:
                error = [{ message: error }];
                break;
            default:
                message = "Internal Server Error";
        }
        return this.response(status, message, data, error);
    }
    response(status, message, data, error) {
        return {
            status,
            message,
            data,
            error,
        };
    }
}
const httpResponse = new HttpResponse();
exports.HttpResponse = httpResponse;
