"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateAccessToken = void 0;
const http_status_codes_1 = require("http-status-codes");
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const HttpResponse_1 = require("./HttpResponse");
const generateAccessToken = (user, token) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        if (token === "")
            return HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.FORBIDDEN, {});
        return jsonwebtoken_1.default.sign(JSON.parse(JSON.stringify(user)), token);
    }
    catch (error) {
        return HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.EXPECTATION_FAILED, error);
    }
});
exports.generateAccessToken = generateAccessToken;
