"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Auth = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const http_status_codes_1 = require("http-status-codes");
const HttpResponse_1 = require("../Helpers/HttpResponse");
const Auth = (req, res, next) => {
    const authHeader = req.headers["authorization"];
    const token = (authHeader && (authHeader === null || authHeader === void 0 ? void 0 : authHeader.split(" ")[1])) || "";
    if (!token)
        next(HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.UNAUTHORIZED, {}));
    return jsonwebtoken_1.default.verify(token, process.env.ACCESS_TOKEN_SECRET || "", (err) => {
        if (err)
            next(HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.UNAUTHORIZED, {}));
        next();
    });
};
exports.Auth = Auth;
