"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoleAuth = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const http_status_codes_1 = require("http-status-codes");
const HttpResponse_1 = require("../Helpers/HttpResponse");
const RoleAuth = (req, res, next) => {
    const authRole = req.headers["authorization"];
    const role = (authRole && (authRole === null || authRole === void 0 ? void 0 : authRole.split(" ")[1])) || "";
    if (!role)
        next(HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.UNAUTHORIZED, {}));
    return jsonwebtoken_1.default.verify(role, process.env.ACCESS_TOKEN_SECRET || "", (err) => {
        if (err)
            next(HttpResponse_1.HttpResponse.error(http_status_codes_1.StatusCodes.UNAUTHORIZED, {}));
        next();
    });
};
exports.RoleAuth = RoleAuth;
