"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const mongoose_1 = __importStar(require("mongoose"));
const userSchema = new mongoose_1.Schema({
    name: {
        type: String,
        required: true
    },
    email: {
        type: String,
        required: true,
        unique: true,
    },
    password: {
        type: String
    },
    phone: {
        type: String
    },
    nationality: {
        type: Number,
        required: true
    },
    hourlyRate: {
        type: String
    },
    weeklyRate: {
        type: String
    },
    monthlyRate: {
        type: String
    },
    // speak: {
    //   type: Schema.Types.ObjectId,
    //   ref: "Language",
    //   required: true,
    // },
    speak: {
        type: Array,
    },
    instagramId: {
        type: String,
    },
    linkedinId: {
        type: String,
    },
    continentId: {
        type: String,
    },
    continentName: {
        type: String,
    },
    countryId: {
        type: String,
    },
    countryName: {
        type: String,
    },
    cityId: {
        type: String,
    },
    cityName: {
        type: String,
    },
    dreamContinentId: {
        type: String,
    },
    dreamContinentName: {
        type: String,
    },
    dreamCountryId: {
        type: String,
    },
    dreamCountryName: {
        type: String,
    },
    dreamCityId: {
        type: String,
    },
    dreamCityName: {
        type: String,
    },
    gender: {
        type: String,
        enum: ["male", "female"],
        required: false,
    },
    type: {
        type: String,
        enum: ["mentor", "mentee"],
        required: true,
    },
    images: {
        type: Object,
    },
    service: {
        type: Array,
    },
    serviceRate: {
        type: Object,
    },
    education: {
        type: Array,
    },
    degree: {
        type: Array,
    },
    company: {
        type: String,
    },
    occupation: {
        type: String,
    },
    story: {
        type: String,
    },
    zipcode: {
        type: String,
    },
    rating: {
        type: String,
    },
    ratingComments: {
        type: String,
    },
    isProfileCompleted: {
        type: Boolean,
    },
    refreshToken: {
        type: String,
    },
    isSocial: {
        type: Boolean,
        default: 0,
    },
    socialLoginType: {
        type: String,
    },
    socialId: {
        type: String,
    },
    socialIdApple: {
        type: String,
    },
    status: {
        type: Boolean,
    },
    isMentor: {
        type: Boolean,
    },
    isDeleted: {
        type: Boolean,
    },
    description: {
        type: String,
    },
    isPhoneVerified: {
        type: Boolean,
    },
}, {
    timestamps: true,
});
const User = mongoose_1.default.model("User", userSchema);
exports.User = User;
