"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthRouter = void 0;
const express_1 = __importDefault(require("express"));
const AuthController_1 = require("../Controllers/AuthController");
const Auth_1 = require("../Middlewares/Auth");
// import { RoleAuth } from "../Middlewares/RoleAuth";
const AuthRouter = express_1.default.Router();
exports.AuthRouter = AuthRouter;
AuthRouter.post("/signup", AuthController_1.AuthController.createUser);
AuthRouter.post("/login", AuthController_1.AuthController.loginUser);
AuthRouter.post('/email_verification', AuthController_1.AuthController.emailVerification);
AuthRouter.post('/phone_verification', AuthController_1.AuthController.phoneVerification);
AuthRouter.post('/forgot_password', AuthController_1.AuthController.forgotPassword);
AuthRouter.get("/users", Auth_1.Auth, AuthController_1.AuthController.getUsers);
AuthRouter.delete("/user/delete", Auth_1.Auth, AuthController_1.AuthController.deleteUser);
