"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRouter = void 0;
const express_1 = __importDefault(require("express"));
const UserController_1 = require("../Controllers/UserController");
const Auth_1 = require("../Middlewares/Auth");
const UserRouter = express_1.default.Router();
exports.UserRouter = UserRouter;
UserRouter.post("/profile", Auth_1.Auth, UserController_1.UserController.getUserProfile);
UserRouter.post("/profile/update", Auth_1.Auth, UserController_1.UserController.updateUserProfile);
UserRouter.post('/upload_image', Auth_1.Auth, UserController_1.UserController.uploadProfileImage);
UserRouter.get('/all_mentors', Auth_1.Auth, UserController_1.UserController.getAllMentors);
UserRouter.get('/filter_mentors', Auth_1.Auth, UserController_1.UserController.getMentorFilters);
UserRouter.post('/filter_mentors', Auth_1.Auth, UserController_1.UserController.filterMentors);
UserRouter.post('/mentor_list', Auth_1.Auth, UserController_1.UserController.getMentorList);
UserRouter.post('/mentee_list', Auth_1.Auth, UserController_1.UserController.getMenteeList);
UserRouter.post('/search_mentor', Auth_1.Auth, UserController_1.UserController.searchMentor);
UserRouter.post('/rate_mentor', Auth_1.Auth, UserController_1.UserController.rateMentor);
UserRouter.post('/report_mentor', Auth_1.Auth, UserController_1.UserController.reportMentor);
UserRouter.post('/mentee_request', Auth_1.Auth, UserController_1.UserController.menteeRequest);
UserRouter.post('/mentee_request/all', Auth_1.Auth, UserController_1.UserController.menteeRequestListing);
UserRouter.post('/mentee_request/approve_reject', Auth_1.Auth, UserController_1.UserController.menteeRequestApproveReject);
UserRouter.post('/explore_mentor', Auth_1.Auth, UserController_1.UserController.exploreMentor);
UserRouter.post('/comments', Auth_1.Auth, UserController_1.UserController.commentsList);
UserRouter.post('/comments', Auth_1.Auth, UserController_1.UserController.comments);
