"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeederService = void 0;
const Constants_1 = require("../Helpers/Constants");
const Country_1 = require("../Models/Country");
const Language_1 = require("../Models/Language");
const Category_1 = require("../Models/Category");
const HttpResponse_1 = require("../Helpers/HttpResponse");
class SeederService {
    insertLanguages() {
        return __awaiter(this, void 0, void 0, function* () {
            const seedLanguages = Constants_1.LANGUAGES;
            yield Language_1.Language.deleteMany();
            const langAdded = yield Language_1.Language.insertMany(seedLanguages);
            return langAdded;
        });
    }
    getLanguages() {
        return __awaiter(this, void 0, void 0, function* () {
            const languages = yield Language_1.Language.find({});
            return HttpResponse_1.HttpResponse.success(languages);
        });
    }
    insertCountries() {
        return __awaiter(this, void 0, void 0, function* () {
            const seedCountries = Constants_1.COUNTRIES;
            yield Country_1.Country.deleteMany();
            const countryAdded = yield Country_1.Country.insertMany(seedCountries);
            return countryAdded;
        });
    }
    getCountries() {
        return __awaiter(this, void 0, void 0, function* () {
            const countries = yield Country_1.Country.find({});
            return HttpResponse_1.HttpResponse.success(countries);
        });
    }
    insertCategories() {
        return __awaiter(this, void 0, void 0, function* () {
            const seedCategories = Constants_1.CATEGORIES;
            yield Category_1.Category.deleteMany();
            const categoriesAdded = yield Category_1.Category.insertMany(seedCategories);
            return categoriesAdded;
        });
    }
    getCategories() {
        return __awaiter(this, void 0, void 0, function* () {
            const categories = yield Category_1.Category.find({});
            return HttpResponse_1.HttpResponse.success(categories);
        });
    }
}
const seederService = new SeederService();
exports.SeederService = seederService;
