"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const db_config_1 = require("../config/db.config");
const body_parser_1 = __importDefault(require("body-parser"));
const router_1 = require("./Routes/router");
const path_1 = __importDefault(require("path"));
const dotenv = __importStar(require("dotenv"));
const helmet_1 = __importDefault(require("helmet"));
const i18n_1 = __importDefault(require("i18n"));
const Constants_1 = require("./Helpers/Constants");
const cors_1 = __importDefault(require("cors"));
const multer_1 = __importDefault(require("multer"));
const sharp = require('sharp');
dotenv.config();
const port = process.env.PORT || 3000;
const app = (0, express_1.default)();
var uploadedFilename = '';
var storage = multer_1.default.diskStorage({
    destination: function (req, file, cb) {
        let ext = 'invalid';
        if (file.originalname) {
            ext = file.originalname.split('.').pop();
        }
        const validExt = ['png', 'jpeg', 'jpg', 'gif', 'pdf', 'doc', 'docx'];
        if (!validExt.includes(ext)) { }
        cb(null, Constants_1.IMAGE_CONSTANTS.dirImage);
    },
    filename: function (req, file, cb) {
        var dateVal = Math.floor(Date.now() / 1000) + '-' + Math.floor(Math.random() * 10000000);
        uploadedFilename = dateVal + '-' + file.originalname;
        cb(null, uploadedFilename);
    },
});
var upload = (0, multer_1.default)({
    storage: storage,
    fileFilter: (req, file, cb) => {
        const validType = [
            'image/png',
            'image/jpeg',
            'image/jpg',
            'application/pdf',
            'application/msword',
            'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
            'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
        ];
        if (!validType.includes(file.mimetype)) {
            cb(null, false);
            return cb(new Error('file is not allowed'));
        }
        cb(null, true);
    },
    limits: { fileSize: 2 * 1024 * 1024 },
});
/*Set Locale on App Level*/
i18n_1.default.configure({
    locales: ["en", "ja"],
    header: "accept-language",
    directory: path_1.default.join(__dirname, "Locales"),
});
app.use((req, res, next) => {
    i18n_1.default.setLocale(req.get("accept-language") || "en");
    next();
});
// CORS configurations
var corsOptions = {
    origin: [
        'http://localhost:5000',
        'http://localhost:3000',
        'http://movementor.mashghol.com:3000',
    ],
    optionsSuccessStatus: 200,
    methods: 'GET,POST, PUT',
};
app.use(upload.any());
app.use((0, helmet_1.default)());
app.use(body_parser_1.default.json());
app.use(body_parser_1.default.urlencoded({ extended: false }));
app.use((0, cors_1.default)(corsOptions));
app.use(router_1.router);
// app.post('/api/upload_image', upload.single('uploads'), async (req, res) => {
//   try {
//     res.status(201).send('Image uploaded succesfully')
//     // const imageName: any = req['files'];
//     // const imageFile = imageName[0].filename;
//     // const imagePath = imageName[0].path;
//     // await sharp(imageFile.buffer).resize({ width: 250, height: 250 }).png().toFile(IMAGE_PATH + `${imageFile}`)
//     // return res.status(201).send('Image uploaded succesfully')
//   } catch (error) {
//     console.log(error)
//     res.status(400).send(error)
//   }
// })
(0, db_config_1.connect)(); //connect Mongo DB
app.listen(port, () => { console.log("Server is running on port 3000..."); });
